Bug 1311859 - Satellite repositories should not be forcibly disabled
Satellite repositories should not be forcibly disabled
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: Upstream M2
: 12.0 (Pike)
Assigned To: Ben Nemec
Shai Revivo
: Reopened, Triaged
: 1311856 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 03:39 EST by David Juran
Modified: 2017-07-24 11:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170419202046.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-12 09:47:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1673116 None None None 2017-07-12 17:45 EDT
OpenStack gerrit 446014 None None None 2017-07-12 17:46 EDT

  None (edit)
Description David Juran 2016-02-25 03:39:56 EST
Description of problem:
The rhel-registration script in /usr/share/openstack-tripleo-heat-templates/extraconfig/pre_deploy/rhel-registration/scripts/ forcibly disables the repository rhel-7-server-rh-common-rpms

When an OverCloud node is registered to an Red Hat Satellite 6, it's presumably to enable life-cycle management of the software on the node. I.e. to enable the ability to publish a Content View and thereby ensuring that consistent and updated repositories are available to the OverCloud nodes. Which repositories are made available is typically controlled by the administrator in the Aktivation Key (specified in rhel_reg_activation_key).

The problem is that the above mentioned script, on line 127, forcibly disables the repository rhel-7-server-rh-common-rpms. With this repository disabled, no errata related to any package in this repository, e.g. cloud-init, can be published to an OverCloud node. 



Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-0.8.6-121.el7ost.noarch
Comment 2 Mike Burns 2016-02-25 07:50:47 EST
*** Bug 1311856 has been marked as a duplicate of this bug. ***
Comment 3 Mike Burns 2016-04-07 17:11:06 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 James Slagle 2016-10-12 09:47:57 EDT
we don't plan on fixing this specific issue for OSP 7, and as of OSP 8 we no longer disable this repo:
https://bugzilla.redhat.com/show_bug.cgi?id=1275281
Comment 7 David Juran 2016-10-20 10:58:00 EDT
True, rhel-7-server-rh-common-rpms is no longer disabled but instead, in OSP8, rhel-7-server-satellite-tools.6.1.rpms is forcibly disabled.

This again happens in /usr/share/openstack-tripleo-heat-templates/extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration on line 131 where $satellite_repo is disabled.

And satellite_repo defaults to rhel-7-server-satellite-tools.6.1-rpms in  /usr/share/openstack-tripleo-heat-templates/extraconfig/pre_deploy/rhel-registration/environment-rhel-registration.yaml.

True, one can easily work around this problem by overriding rhel_reg_sat_repo with an empty string and ensure that the correct repos are set in the activation key. Nevertheless, if a package has been installed from a repository, the repository should not be disabled as it makes life-cycle management of those packages cumbersome.

Note You need to log in before you can comment on or make changes to this bug.